Bug 201843 - Setting screen resolution does not change login window resolution
Setting screen resolution does not change login window resolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 08:42 EDT by Gerry Tool
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 18:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2006-08-09 08:42:13 EDT
Description of problem:On first boot, I found my screen resolution at an all
time high of
1920x1232 with refresh of 60Hz.

I used System > Preferences > Screen Resolution to set it to a more
comfortable 1600x1200 at 75Hz.

However, the login screen appears to still be at the original 1920x1232
at 60Hz, despite me checking the box "Make default for this
computer...".

I see that there is another System > Administration > Display menu item
which opens a different dialog offering a Resolution setting.  However,
this dialog only offers 800x600 and 640x480 and two color depths.  If this is
meant to set system wide resolution, it is completely broken providing only
these two settings.


Version-Release number of selected component (if
applicable):system-config-display-1.0.41-1



How reproducible: Always


Steps to Reproduce:
1. Select System > Preferences > Screen Resolution
2. Set screen resolution
3. Log out, observe login screen
  
Actual results: Login screen is still at maximum rsolution for system


Expected results: Login screen resolution has always followed the screen
resolution setting in previous releases


Additional info: If System > Administration > Display is meant for this purpose,
it has only two very low resolutions offered currently.
Comment 1 Adam Jackson 2006-08-28 15:10:18 EDT
This should be working better in newer versions of the X server.  Can you try
xorg-x11-server-Xorg 1.1.1-30 or newer please?
Comment 2 Dave Burgess 2006-08-28 17:24:59 EDT
Login screen still is stuck on 1280x1024 85Hz.

I cannot select 60Hz 85 is the only selection available.

If I set it to 1600x1200 (which my card and monitor are quite capable of) it
simply reverts to 1280x1024 on logout/login.

I'm running the nv driver and all updates as of 1715EDT 2006-08-28.

I'm running xorg-x11-server-Xorg-1.1.1-30.fc6
Comment 3 Gerry Tool 2006-08-28 17:49:47 EDT
I'm running xorg-x11-server-Xorg-1.1.1-30.fc6.

My login screen is still running at some resolution higher than 1600 x 1200
which is what I am using on the desktop.  I don't know how one tells what the
refresh rate is on the login screen, but it flickers, so I suspect it is 60Hz. 
It does not change as I try to set either Display in Admin or Screen Resolution
in Preferences.

I can successfully set my desktop resolution and refresh rate to whatever I
choose in System > Preferences > Screen Resolution.

However, when I use System > Administration > Display, I get the following behavior.

If I set the Color Depth to Thousands of Colors, the Resolution is listed as
2048x1536 after restarting X, no matter what I set it to before logging out.  If
I set the Color Depth to Millions of Colors, the Resolution is listed as 1680 x
1050 no matter what I set it to before logging out.

This may be some sort of clue.

I have a Radeon RV200 (7500) card and Sony CPD-G410R monitor.
Comment 4 Adam Jackson 2006-09-21 18:57:37 EDT
Should be fixed as of rhpxl 0.35-1.  Please test, and reopen if this issue still
occurs for you.

Note You need to log in before you can comment on or make changes to this bug.